Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class AbstractHeatWorkJacobianLogger

[frames] | no frames]

# Class AbstractHeatWorkJacobianLogger

source code

    object --+
             |
            AbstractHeatWorkJacobianLogger

Known Subclasses:
  - TrivialHeatWorkJacobianLogger

Abstract class defining the interface for objects keeping track of and accumulating heat, work and the Jacobian during a nonequilibrium trajectory.

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

accumulate(self, heat=0.0, work=0.0, jacobian=1.0) Adds heat and work contribution to the so far accumulated values and "multiply-accumulates" the Jacobian to the so far "multiply-accumulated" values. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| heat
| jacobian
| work
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### heat

Get Method:
  unreachable.heat(self)

### jacobian

Get Method:
  unreachable.jacobian(self)

### work

Get Method:
  unreachable.work(self)